Subject: bug#20105: 25.0.50; Emacs manual, `i HOME RET' sends you to `Moving Point', which is wrong

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Mar 2015 17:26:17 +0200

> Date: Sat, 14 Mar 2015 07:46:49 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > For `i home TAB' you see these candidates:
> > > HOME
> > > home directory shorthand
> > >
> > > In my setup I see also these two, but for some reason I don't see them
> > > with `emacs -Q':
> > > HOME directory on MS-Windows
> > > HOME directory under MS-DOS
> > 
> > I see all 4 of them in "emacs -Q".  Not sure why you don't; perhaps
> > because your build is very old (but I doubt that).
> 
> No, I see only 2, even in this recent build (see end of this message).
> 
> > Do you have INFOPATH set in the environment, perhaps?
> 
> Nope.

Strange.  I have no idea why you see only 2 candidates.  I see all 4
in both the master and emacs-24 branch.

> I agree about (a) case-insensitive "in general" and (b) users might not
> know about `<home>' vs `home' vs `HOME'.
> 
> But why is `HOME' capitalized as a candidate if it points to info about
> the key?

Don't know.  Looks like some feature of completion.

> And we don't seem to have any entry currently for the env var (?).
> Shouldn't a user be able to find some info about it?
> `HOME environment variable', for example.

That's one of the 2 "HOME" entries.  They belong to different indices,
so they are identical (and collapsed by completion into a single
completion candidate, I presume).